For the complete documentation index, see llms.txt. This page is also available as Markdown.

Mail İşlem Geçmişini Getirir

Mailin işlem geçmişini getirir.

get
Authorizations
HTTPRequired

API anahtar� giriniz

Path parameters
UUIDstring · uuidRequired
Responses
200

Mailin işlem geçmişini getirir.

application/json
Emailstring · nullableOptional
MessageIdstring · nullableOptional
Statusstring · nullableOptional
IsSuccessbooleanOptional
Eventstring · enumOptionalPossible values:
CreatedDatestring · date-timeOptional
EventDatestring · date-timeOptional
get/Insurances/{UUID}/Mailhistories
GET /einvoice/Insurances/{UUID}/Mailhistories HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "Email": "text",
    "MessageId": "text",
    "Status": "text",
    "IsSuccess": true,
    "Event": "processed",
    "CreatedDate": "2026-01-01T00:00:00.000Z",
    "EventDate": "2026-01-01T00:00:00.000Z"
  }
]
var options = new RestClientOptions("//einsurance/Insurances/<uuid>/Mailhistories")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
request.AddHeader("Accept", "application/json");
request.AddHeader("Authorization", "Bearer {{bearerToken}}");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => '//einsurance/Insurances/<uuid>/Mailhistories',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'GET',
  CURLOPT_HTTPHEADER => array(
    'Accept: application/json',
    'Authorization: Bearer {{bearerToken}}'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

Last updated